Page MenuHomePhabricator

Empty nowiki tags added by VisualEditor
Closed, ResolvedPublic

Description

In https://en.wikipedia.org/w/index.php?diff=659677435 three groups of <nowiki> tags were added.

The first two groups seem to be useful to escape wikitext-like content (maybe user error, but useful).

However, the third group is just empty, and therefore unnecessary: <nowiki></nowiki>

Event Timeline

gpaumier created this task.Apr 28 2015, 4:35 PM
gpaumier raised the priority of this task from to Needs Triage.
gpaumier updated the task description. (Show Details)
gpaumier added a subscriber: gpaumier.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 28 2015, 4:35 PM
Jdforrester-WMF set Security to None.
marcoil added a subscriber: marcoil.May 6 2015, 8:17 AM
Jdforrester-WMF triaged this task as Normal priority.May 6 2015, 9:46 PM
ssastry claimed this task.Jun 8 2015, 10:29 PM

Reproducible on the command line as follows:

[subbu@earth tests] echo "<p>*This is a long sentence here that will make the nowiki algo split up the nowikis into multiple pairs\n|** Make this another long long long sentence forcing the nowiki algo to split up the nowikis </p>" | node parse --html2wt --fetchConfig false
<nowiki>*</nowiki>This is a long sentence here that will make the nowiki algo split up the nowikis into multiple pairs
<nowiki>|</nowiki>** Make this another long long long sentence forcing the nowiki algo to split up the nowikis <nowiki></nowiki>

Change 216873 had a related patch set uploaded (by Subramanya Sastry):
WIP: T97430: Ignore marker meta tags during nowiki escaping

https://gerrit.wikimedia.org/r/216873

Change 216873 merged by jenkins-bot:
T97430: Ignore marker meta tags during nowiki escaping

https://gerrit.wikimedia.org/r/216873

Jdforrester-WMF closed this task as Resolved.Jun 18 2015, 1:38 AM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Confirmed now fixed.